PETSc version 3.15.5
Fix/Edit manual page

# DMPlexCreateCellVertexFromFile

Create a DMPlex mesh from a simple cell-vertex file.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateCellVertexFromFile(MPI_Comm comm, const char filename[], PetscBool interpolate, DM *dm)

| comm | - The MPI communicator
| filename | - Name of the .dat file
| interpolate | - Create faces and edges in the mesh

### Output Parameter

| dm | - The DM object representing the mesh

### Note: The format is the simplest possible

    Ne

    v0 v1 ... vk

    Nv

    x y z marker

### See Also

DMPlexCreateFromFile(), DMPlexCreateMedFromFile(), DMPlexCreateGmsh(), DMPlexCreate()

### Level

beginner

### Location

src/dm/impls/plex/plexcreate.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages